Subject: 29.0.50; Latest Emacs from master gives various native compilation errors

From: Akib Azmain Turja <[email-masked]>
Date: Fri, 18 Nov 2022 01:08:36 +0600

This is written from Emacs compiled from the Git commit
686296b512cb43d031c8c48196a3d110492fcf08.

I tried to upgrade to the commit
1772d88c1fa811eee235ba9b8b7584bb000ac293 (made yesterday).  But after
installing it, I tried to run to and got various sorts of native
compilation errors.  I can at least use it the terminal, but starting
with EXWM makes it crash (I don't who is the culprit: EXWM or GTK+).

This also happened to me before when I tried to upgrade, but I didn't do
anything, because I'm lazy.

I have reverted to my old Emacs (this) after I encountered the bug.

I clearly remember two things appearing repeatedly in the *Warning*
buffer (in terminal), the first one "libgccjit.so: error: error invoking
gcc driver", and second one "FILE: Error: Internal native compiler error
failed to compile."

The *Async-native-compile-log* buffer says that ld can't find
crtbeginS.o, -lgcc, -lgcc_s and -lgcc_s again.  And the message again:
"libgccjit.so: error: error invoking gcc driver".

I have no idea what information would be helpful.  But this is easily
reproducible and I can run the new Emacs easily without bothering about
the installed one, thanks to Guix.  Please request whatever information
you need, I'll happily try to give you that.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.16.0)
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Guix System

Configured using:
 'configure
 CONFIG_SHELL=/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/bash
 SHELL=/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/bash
 --prefix=/gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b
 --enable-fast-install --with-native-compilation --with-sqlite3
 --with-xinput2 --with-xwidgets --with-modules --with-cairo
 --disable-build-details'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2 XPM XWIDGETS GTK3
ZLIB

Important settings:
  value of $EMACSLOADPATH: /home/akib/.guix-profile/share/emacs/site-lisp:/gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  gnus-undo-mode: t
  lin-mode: t
  diff-hl-margin-mode: t
  diff-hl-flydiff-mode: t
  desktop-save-mode: t
  hl-line-mode: t
  gcmh-mode: t
  server-mode: t
  gtags-mode: t
  corfu-doc-mode: t
  corfu-history-mode: t
  global-corfu-mode: t
  corfu-mode: t
  global-anzu-mode: t
  anzu-mode: t
  isearch-mb-mode: t
  global-auto-revert-mode: t
  save-place-mode: t
  electric-pair-mode: t
  gc-buffers-mode: t
  which-key-mode: t
  marginalia-mode: t
  vertico-mode: t
  minibar-mode: t
  winner-mode: t
  workroom-winner-mode: t
  workroom-auto-project-workroom-mode: t
  workroom-desktop-save-mode: t
  workroom-mode: t
  savehist-mode: t
  recentf-mode: t
  shackle-mode: t
  blow-mode: t
  leaf-key-override-global-mode: t
  el-patch-use-package-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/akib/.config/emacs/elpa/transient-20221028.1430/transient hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/transient
/home/akib/.config/emacs/elpa/jsonrpc-1.0.15.0.20220714.101331/jsonrpc hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/jsonrpc
/home/akib/.config/emacs/elpa/flymake-1.2.2.0.20221026.210423/flymake hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/progmodes/flymake
/home/akib/.config/emacs/elpa/xref-1.5.1.0.20221015.114321/xref hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/progmodes/xref
/home/akib/.config/emacs/elpa/project-0.8.2.0.20221105.174557/project hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/progmodes/project
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-desktop-notifications hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-desktop-notifications
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-speedbar hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-speedbar
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-imenu hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-imenu
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-pcomplete hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-pcomplete
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-compat hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-compat
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-replace hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-replace
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-notify hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-notify
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-stamp hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-stamp
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-capab hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-capab
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-lang hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-lang
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-loaddefs hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-loaddefs
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-match hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-match
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-list hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-list
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-truncate hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-truncate
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-services hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-services
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-sound hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-sound
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-button hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-button
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-dcc hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-dcc
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-page hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-page
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-log hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-log
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-goodies hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-goodies
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-ezbounce hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-ezbounce
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-menu hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-menu
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-join hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-join
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-xdcc hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-xdcc
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-ibuffer hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-ibuffer
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-status-sidebar hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-status-sidebar
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-netsplit hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-netsplit
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-spelling hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-spelling
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-networks hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-networks
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-autoaway hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-autoaway
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-track hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-track
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-backend hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-backend
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-ring hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-ring
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-identd hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-identd
/home/akib/.config/emacs/elpa/erc-5.4.1.0.20221104.193223/erc-fill hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/erc/erc-fill
/home/akib/.config/emacs/elpa/eldoc-1.13.0.0.20221021.131008/eldoc hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/emacs-lisp/eldoc
/home/akib/.config/emacs/elpa/seq-2.23.0.20210925.195432/seq hides /gnu/store/kbim2zycpr57xyj9dbh8r013srkaaif3-emacs-edge-29.0.50-1.686296b/share/emacs/29.0.50/lisp/emacs-lisp/seq

Features:
(shadow footnote iwindow sx emacsbug bug-reference magit-extras
magit-bookmark magit-submodule magit-obsolete magit-popup magit-blame
magit-stash magit-reflog magit-bisect magit-push magit-pull magit-fetch
magit-clone magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-tag magit-merge magit-branch magit-reset
magit-files magit-refs magit-status magit magit-repos magit-apply
magit-wip magit-log which-func magit-diff git-commit log-edit add-log
magit-core magit-autorevert magit-margin magit-transient magit-process
with-editor magit-mode magit-git magit-base magit-section compat-27
compat-26 flow-fill bbdb-mua bbdb-com crm bbdb bbdb-site gnus-cite
mm-archive mail-extr textsec uni-scripts idna-mapping ucs-normalize
uni-confusable textsec-check gnus-async gnus-bcklg sort gnus-ml nndraft
nnmh gnus-search eieio-opt speedbar ezimage dframe qp nnmaildir nnfolder
nnnil gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp
gnus-cache shell elisp-demos epa-file network-stream nsm smtpmail
helpful cc-langs edebug debug backtrace f f-shortdoc shortdoc elisp-refs
s dash dmenu net-utils misearch multi-isearch mode-line-bell orderless
info-colors mule-util plstore smerge-mode whitespace org-fragtog
org-inline-anim org-element avl-tree ol-eww eww xdg url-queue mm-url
ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect gnus-registry registry
eieio-base gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig
gnus-sum shr pixel-fill kinsoku url-file svg dom gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 nnoo
parse-time gnus-spec gnus-win gnus-int gnus-range message sendmail
yank-media puny rfc822 mml mml-sec epa derived epg rfc6068 epg-config
mm-decode mm-bodies mm-encode mailabbrev gmm-utils mailheader gnus
nnheader gnus-util mail-utils range ol-docview ol-bibtex ol-bbdb ol-w3m
ol-doi org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete pcomplete
org-list org-faces org-entities org-version ob-emacs-lisp ob-core
ob-eval org-table oc-basic bibtex iso8601 ol org-keys oc org-compat
org-macs org-loaddefs cal-menu calendar cal-loaddefs dired-aux vc-hg
vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs diredfl lin face-remap
flymake-cc macrostep-c cmacexp macrostep cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs doc-view
jka-compr image-mode exif markdown-mode edit-indirect battery dbus xml
mb-depth flyspell ispell texinfo texinfo-loaddefs goto-addr geiser-mode
geiser-xref geiser-compile geiser-guile info-look geiser geiser-debug
transient format-spec geiser-repl geiser-image geiser-capf geiser-doc
geiser-menu geiser-autodoc geiser-edit etags fileloop generator
geiser-completion geiser-eval geiser-connection tq geiser-syntax
geiser-log geiser-popup view scheme noutline outline mail-parse rfc2231
rfc2047 rfc2045 mm-util ietf-drums mail-prsvr hi-lock vc-git
diff-hl-margin diff-hl-dired dired dired-loaddefs diff-hl-flydiff diff
diff-hl log-view pcvs-util vc-dir ewoc vc vc-dispatcher diff-mode
why-this color timezone desktop frameset pinentry package-lint-flymake
package-lint let-alist imenu finder find-func highlight-defined paredit
highlight-quoted aggressive-indent display-line-numbers
display-fill-column-indicator ws-butler highlight-numbers parent-mode
highlight-thing rainbow-delimiters hl-todo compat compat-macs hl-line
flymake-popon posframe popon checkdoc lisp-mnt flymake-proc flymake
compile comint ansi-color modus-vivendi-theme modus-themes gcmh init
time-date comp comp-cstr warnings exwm-xim xcb-xim xcb-xlib exwm-randr
xcb-randr exwm exwm-input xcb-keysyms xcb-xkb exwm-manage exwm-floating
xcb-cursor xcb-render exwm-layout exwm-workspace exwm-core xcb-ewmh
xcb-icccm xcb xcb-xproto xcb-types xcb-debug server auth-source-pass
gtags-mode files-x xref corfu-doc corfu-history corfu anzu advice
thingatpt isearch-mb autorevert filenotify saveplace elec-pair
gc-buffers which-key marginalia vertico minibar winner workroom project
bookmark text-property-search disp-table savehist recentf tree-widget
shackle trace blow pcase edmacro kmacro cl-extra cus-edit pp cus-load
icons wid-edit leaf finder-inf vterm-autoloads guix-emacs
aggressive-indent-autoloads anzu-autoloads blow-autoloads
camera-autoloads cape-autoloads chess-autoloads closql-autoloads
consult-notmuch-autoloads consult-org-roam-autoloads
consult-project-extra-autoloads corfu-doc-terminal-autoloads
corfu-terminal-autoloads corfu-autoloads coterm-autoloads cov-autoloads
coverage-autoloads coverlay-autoloads crux-autoloads ctrlf-autoloads
easy-mmode devhelp-autoloads diff-hl-autoloads disk-usage-autoloads
doom-modeline-autoloads doom-themes-autoloads eat-autoloads
ef-themes-autoloads eglot-ccls-autoloads eglot-autoloads el-patch
el-patch-stub elisp-demos-autoloads elpher-autoloads elquery-autoloads
embark-consult-autoloads consult-autoloads embark-autoloads
ement-autoloads emms-autoloads erc-autoloads
eshell-syntax-highlighting-autoloads exercism-autoloads
async-await-autoloads async-autoloads a-autoloads exwm-autoloads
flymake-popon-autoloads flymake-autoloads eldoc-autoloads
gc-buffers-autoloads geiser-guile-autoloads geiser-impl help-fns
radix-tree help-mode geiser-custom geiser-base ring ghub-autoloads
gnuplot-autoloads rx hare-mode-autoloads helpful-autoloads
hl-todo-autoloads htmlize-autoloads info-colors-autoloads
insecure-lock-autoloads isearch-mb-autoloads iter2-autoloads
iwindow-autoloads keycast-autoloads kind-icon-autoloads leaf-autoloads
ligature-autoloads lin-autoloads geiser-autoloads macrostep-autoloads
magit-autoloads git-commit-autoloads marginalia-autoloads
mastodon-autoloads meow-autoloads minibar-autoloads
modus-themes-autoloads mood-line-autoloads mood-one-theme-autoloads
moody-autoloads multiple-cursors-autoloads notmuch-autoloads
nov-autoloads nubox-autoloads orderless-autoloads org-roam-ui-autoloads
org-roam-autoloads emacsql-sqlite-autoloads emacsql-autoloads
osm-autoloads ov-autoloads package-lint-autoloads paredit-autoloads
password-store-autoloads persist-autoloads plz-autoloads popon-autoloads
posframe-autoloads promise-autoloads quelpa-autoloads relint-autoloads
request-autoloads setup-autoloads shrink-path-autoloads f-autoloads
svg-lib-autoloads sx-autoloads markdown-mode-autoloads
taxy-magit-section-autoloads taxy-autoloads magit-section-autoloads
testcover-mark-line-autoloads transient-autoloads treepy-autoloads
ts-autoloads s-autoloads undercover-autoloads shut-up-autoloads
dash-autoloads vertico-autoloads which-key-autoloads why-this-autoloads
with-editor-autoloads compat-autoloads info workroom-autoloads
project-autoloads xr-autoloads xref-autoloads package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile cconv url-vars cl-loaddefs cl-lib
rmc iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads xwidget-internal dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit xinput2 x multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 1740168 334679)
 (symbols 48 80210 25)
 (strings 32 614797 82610)
 (string-bytes 1 31736325)
 (vectors 16 301245)
 (vector-slots 8 5150080 664274)
 (floats 8 1543 5136)
 (intervals 56 28322 11572)
 (buffers 992 104))

-- 
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: [email-masked]
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."